Bug 112784 - kdegraphics depends on gphoto2
Summary: kdegraphics depends on gphoto2
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegraphics   
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-31 20:22 UTC by manuel wolfshant
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 17:30:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description manuel wolfshant 2003-12-31 20:22:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When installing FC1, I wanted to make sure that I will be able to take
snapshots of [parts of] my desktop. I am a long term ksnapshot user,
so I installed kdegraphics. I was quite surprised to find out that not
only gphoto2 was also installed, but when trying to remove it I get:
#rpm -e gphoto2
error: Failed dependencies:
        libgphoto2.so.2 is needed by (installed) kdegraphics-3.1.4-1
        libgphoto2_port.so.0 is needed by (installed) kdegraphics-3.1.4-1
 The good part is that ksnapshot works OK even after rpm -e --nodeps
gphoto2.


Version-Release number of selected component (if applicable):
kdegraphics-3.1.4-1

How reproducible:
Always

Steps to Reproduce:
1.rpm -e gphoto2
2.
3.
    

Actual Results:
  error: Failed dependencies:
        libgphoto2.so.2 is needed by (installed) kdegraphics-3.1.4-1
        libgphoto2_port.so.0 is needed by (installed) kdegraphics-3.1.4-1

Expected Results:  removal of package, without forcing me to use rpm
-e --nodeps

Additional info:

Comment 1 Ngo Than 2004-09-23 17:30:58 UTC
there are some plugins (kio_kamera), which are linked against gphoto2.
the dependencies are ok here.


Note You need to log in before you can comment on or make changes to this bug.